Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78545 - DAC960 install and more than 7 partitions
Summary: DAC960 install and more than 7 partitions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
: 79116 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 15:51 UTC by serge.noiraud
Modified: 2007-03-27 03:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-24 18:12:27 UTC


Attachments (Terms of Use)

Description serge.noiraud 2002-11-25 15:51:05 UTC
Description of Problem:
If you have a mylex card or if you use the DAC960 module,
you can create more than 7 partitions on one disk.
The problem : you have many problems on reboot. 
The worst is you can't reboot.
The problem is due to the major/minor limited to 16 bits. 
The mylex card can manage 32 disks. so it uses 5 bits for the minor.
You have only 3 bits to the partitions.
If you try ( and you can ) to create 8 partitions, the installer accepts this,
but the major/minor will be associated to the next disk.

Version-Release number of selected component (if applicable):
6.2, 7.1, 7.2, 7.3, 8.0 on 32 bits hardware

How Reproducible:
allways

Steps to Reproduce:
1. create 8 partitions with a mylex card
2. reboot
3. 

Actual Results:


Expected Results:
It should be useful in this case to show a warning window during installation
which prevent the creation of more than 7 partitions. 


Additional Information:

Comment 1 Jeremy Katz 2003-01-03 06:15:58 UTC
*** Bug 79116 has been marked as a duplicate of this bug. ***

Comment 2 Jeremy Katz 2003-06-24 20:53:39 UTC
Fixed in CVS

Comment 3 Jeremy Katz 2006-04-24 18:12:27 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.